KUBERNETES(1)

NAME

kubeadm init phase control-plane controller-manager - Generates the kube-controller-manager static Pod manifest

SYNOPSIS

kubeadm init phase control-plane controller-manager [OPTIONS]

DESCRIPTION

Generates the kube-controller-manager static Pod manifest

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--controller-manager-extra-args=
    A set of extra flags to pass to the Controller Manager or override default ones in form of <flagname>=<value>

--image-repository="k8s.gcr.io"
    Choose a container registry to pull control plane images from

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--pod-network-cidr=""
    Specify range of IP addresses for the pod network. If set, the control plane will automatically allocate CIDRs for every node.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase-control-plane(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!